python-flaskext.wtf_0.12-2_all.deb


Advertisement

Description

python-flaskext.wtf - Simple integration of Flask and WTForms (Python 2)

Property Value
Distribution Ubuntu 16.04 LTS (Xenial Xerus)
Repository Ubuntu Universe amd64
Package name python-flaskext.wtf
Package version 0.12
Package release 2
Package architecture all
Package type deb
Installed size 52 B
Download size 10.79 KB
Official Mirror archive.ubuntu.com
Flask-WTF is an extension for Flask, providing a simple integration
of WTForms. It includes optional CSRF handling and Recaptcha support.
This is a Python 2 package

Alternatives

Package Version Architecture Repository
python-flaskext.wtf_0.12-2_all.deb 0.12 all Ubuntu Universe
python-flaskext.wtf - - -

Requires

Name Value
python-flask -
python-werkzeug -
python-wtforms -
python:any >= 2.7.5-5~
python:any << 2.8

Provides

Name Value
python2.7-flaskext.wtf -

Conflicts

Name Value
python-flaskext-wtf -

Replaces

Name Value
python-flaskext-wtf -

Download

Type URL
Binary Package python-flaskext.wtf_0.12-2_all.deb
Source Package flask-wtf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install python-flaskext.wtf deb package:
    # sudo apt-get install python-flaskext.wtf

Files

Path
/usr/lib/python2.7/dist-packages/Flask_WTF-0.12.egg-info/PKG-INFO
/usr/lib/python2.7/dist-packages/Flask_WTF-0.12.egg-info/dependency_links.txt
/usr/lib/python2.7/dist-packages/Flask_WTF-0.12.egg-info/not-zip-safe
/usr/lib/python2.7/dist-packages/Flask_WTF-0.12.egg-info/requires.txt
/usr/lib/python2.7/dist-packages/Flask_WTF-0.12.egg-info/top_level.txt
/usr/lib/python2.7/dist-packages/flask_wtf/__init__.py
/usr/lib/python2.7/dist-packages/flask_wtf/_compat.py
/usr/lib/python2.7/dist-packages/flask_wtf/csrf.py
/usr/lib/python2.7/dist-packages/flask_wtf/file.py
/usr/lib/python2.7/dist-packages/flask_wtf/form.py
/usr/lib/python2.7/dist-packages/flask_wtf/html5.py
/usr/lib/python2.7/dist-packages/flask_wtf/i18n.py
/usr/lib/python2.7/dist-packages/flask_wtf/recaptcha/__init__.py
/usr/lib/python2.7/dist-packages/flask_wtf/recaptcha/fields.py
/usr/lib/python2.7/dist-packages/flask_wtf/recaptcha/validators.py
/usr/lib/python2.7/dist-packages/flask_wtf/recaptcha/widgets.py
/usr/share/doc/python-flaskext.wtf/changelog.Debian.gz
/usr/share/doc/python-flaskext.wtf/copyright

Changelog

2016-02-04 - Orestis Ioannou <orestis@oioannou.com>
flask-wtf (0.12-2) unstable; urgency=medium
* Team upload.
* Change compat to 9
* Disable test communicating on the internet (Closes: #805662)
* Fix B-D by adding flask-babel which is necessary for testing
* Added doc-base
2015-09-07 - Orestis Ioannou <orestis@oioannou.com>
flask-wtf (0.12-1) unstable; urgency=medium
* Team upload.
* New upstream release
* Add python3 package. Closes: #782920, #764959
* Switched to DEP5 copyright format
* Switched to 3.0 quilt patches format
* Switched to pybuild
* Switch to pypi redirector for d/watch
* Moved to Standards-Version: 3.9.6
* Add separate documentation package
* Simplify Build-Depends
* Add patch to remove external resources from documentation
2014-10-05 - Bernd Zeimetz <bzed@debian.org>
flask-wtf (0.10.2-1) unstable; urgency=medium
* New upstream version. 
2014-07-26 - Christian Hofstaedtler <zeha@debian.org>
flask-wtf (0.10.0-1) unstable; urgency=medium
* Team upload.
[ Jakub Wilk ]
* Use canonical URIs for Vcs-* fields.
[ Christian Hofstaedtler ]
* New upstream version.
* Update dependency versions, as per upstream requirements.txt/setup.py.
* Replace sphinx-bundled underscore.js with link to libjs-underscore.
* Bump Standards-Version to 3.9.5, no changes needed.
2012-04-26 - Bernd Zeimetz <bzed@debian.org>
flask-wtf (0.6-1) unstable; urgency=low
[ Jakub Wilk ]
* Add Vcs-* fields.
[ Bernd Zeimetz ]
* New upstream release.
2011-05-07 - Piotr O┼╝arowski <piotr@debian.org>
flask-wtf (0.5.2-2) unstable; urgency=low
* Team upload.
* Convert to dh_python2
* Bump python-flask's minimum required version to 0.6.1-2 (which provides
flaskext namespace now)
* Remove .pth file from binary package
* Add python-wtforms and python-flask to Build-Depends-Indep (Sphinx uses
them while generating docs)
2011-02-14 - Bernd Zeimetz <bzed@debian.org>
flask-wtf (0.5.2-1) unstable; urgency=low
* New upstream version.
2010-10-20 - Bernd Zeimetz <bzed@debian.org>
flask-wtf (0.3.3-2) unstable; urgency=low
* Rename binary package to be really according to the
policy before it goes into unstable.
2010-10-20 - Bernd Zeimetz <bzed@debian.org>
flask-wtf (0.3.3-1) unstable; urgency=low
* Initial release.

See Also

Package Description
python-flexmock_0.10.2-1_all.deb Mock/Stub/Spy library for Python
python-flickrapi_2.1.2-4_all.deb Flickr API wrapper for Python 2
python-flower_0.8.3+dfsg-1_all.deb web based tool for monitoring and administrating Celery clusters
python-fltk-doc_1.3.0-1_all.deb Documentation for pyFltk
python-fltk_1.3.0-1_amd64.deb Python wrapper for the Fast Light Toolkit
python-flufl.bounce-doc_2.3-4_all.deb email bounce detectors (common documentation)
python-flufl.bounce_2.3-4_all.deb email bounce detectors (Python 2)
python-flufl.enum-doc_4.1-2_all.deb yet another Python enumeration package (common documentation)
python-flufl.enum_4.1-2_all.deb yet another Python enumeration package (Python 2)
python-flufl.i18n-doc_1.1.3-4_all.deb high level API for Python internationalization (common documentation)
python-flufl.i18n_1.1.3-4_all.deb high level API for Python internationalization (Python 2)
python-flufl.lock-doc_2.4.1-1_all.deb NFS-safe file-based lock with timeouts (common documentation)
python-flufl.lock_2.4.1-1_all.deb NFS-safe file-based lock with timeouts (Python 2)
python-flufl.password-doc_1.3-2build1_all.deb password hashing and verification (common documentation)
python-flufl.password_1.3-2build1_all.deb password hashing and verification
Advertisement
Advertisement